Subject: Re: Linking problems
From: [email-masked] (Mikey)

17 Sep 1997 13:13:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "Fredrik Eldh" <[email-masked]>, [email-masked]

try

gcc -mwindows -o myprog.o myprog.c
gcc -mwindows -o myprog.exe myrpog.o

although -mwindows is a poor choice for
a gcc option, since it confilcts with the
-mARCH options, so it is useless as an
option to the preprocessor. Not Cygnus's
fault it came from the FSF winNT port.

..On Wed, 17 Sep 1997 04:34:17 PDT, you wrote:

>I'm a newbie when it comes to Gnu-Win32 and I'm having trouble when I 
>try to link any Win32 program. The linker says I have 'undefined 
>references' to all the Win32 API functions. I use the following command 
>line to compile and link: "gcc program.c".
>
>Now, please don't tell me to go look this up in an FAQ or something, 
>I've already done that and it didn't make me wiser.
>
>Thanks for any help,
>Fredrik Eldh
>
>______________________________________________________
>Get Your Private, Free Email at http://www.hotmail.com
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".